<?php

###########################
#Скрипт: Keo v1#
#Автор: GulievMMA#
#Версия: v1#
#Страна: Азербайджан#
#Город: Сумгайыт#
#Спорт: ММА#
#Сайт: KeoTop.Ru#
#Сайт: H9M.Ru#
#Телеграм: @AnarQuliyevMMA#
#E-mail: guliev.mma@gmail.com  #
#WhatsApp: +994 (77) 768-39-39#
#WhatsApp: +994 (55) 968-78-69#
############################
#Скрипт Принадлежит Мне , Продавать и Распростронять Нельзя (!)#
############################
session_start();
define('NTOP', 1);
$title = 'Поиск сайтов';
require_once('../system/connect.php');
require_once('../system/core.php');
require_once('../system/function.php');
require_once('head.php');

echo '<div class="title2">'.$title.'</div>';

echo '<div class="main"><form action="'.$_SERVER['PHP_SELF'].'" method="POST" name="form">
Введите запрос <small>[min 4 , max 60 символов]</small><br/>
<input type="text" name="search" maxlenght="60" value="'.htmlspecialchars($_POST['search']).'"/><br/>
Параметры поиска :<br/>
<select name="m">
<option value="1">url</option>
<option value="3">описание сайта</option>
</select><br/>
<input name="n" type="checkbox" value="1"/> Точный поиск<br/>
<input type="submit" name="go"value="Поиск">
</form></div>';

if (isset($_POST['go']) ) {
     if (empty($_POST['search'])) {
	     $error[1] = 'Вы не ввели адрес сайта !';
	    }
     if (mb_strlen($_POST['search']) < 3 || mb_strlen($_POST['search']) > 64 ) {
	     $error[2] = 'Длина запроса должна быть не менее 3 символов и не привышать 64 символа !';
		}
		}
	 	 if (!empty($error)) {
echo '<div class="main">';
			       foreach($error as $value) {
                     echo "<b>$value</b> <br />";
                    }
					echo '</div>';
					require_once ('../m/foot.php');
					exit();
			}

	              $mm = isset ($_POST['m']) ? intval($_POST['m']) : '';
				  $mm = $mm ? $mm : rawurldecode(trim($_GET['m']));

				  $n = isset ($_POST['n']) ? $_POST['n'] : '';
				  $n = $n ? $n : rawurldecode(trim($_GET['n']));

	 			 $search = isset ($_POST['search']) ? trim($_POST['search']) : '';
				 $search = strtr($search, array('_' => '\\_', '%' => ' ','$' => ' ', '*' => '%'));
                 $search = $search ? $search : rawurldecode(trim($_GET['search']));
				 if ($search) {
				 $search_db = 'LIKE \'' . mysqli_real_escape_string($mysqli,'%' . $search . '%') . '\'';
				 if ($_POST['n'] == false) $search_db = 'LIKE \'' . mysqli_real_escape_string($mysqli,'%' . $search . '%') . '\'';
				 if ($_POST['n'] == true) {
				      $search_db = '= "'.mysqli_real_escape_string($mysqli,$search).'"';
				 }
				 $zap = '`about`';
				 if ($_POST['m'] == 1 || $_GET['mm'] == 1) $zap = '`url`';
				 if ($_POST['m'] == 2 || $_GET['mm'] == 2) $zap = '`name`';
				 if ($_POST['m'] == 3 || $_GET['mm'] == 3) $zap = '`about`';



$count = mysqli_num_rows(mysqli_query($mysqli,"SELECT * FROM `".$prefix."sait` WHERE ".$zap." ".$search_db." "));
						if($count > 0)
							{
								$total=intval(($count-1)/$page_sait)+1; 
								$page=abs(intval($_GET['page'])); 
								if(empty($page) OR $page < 0)
									{
										$page = 1; 
									}
								if($page > $total)
									{
										$page = $total; 
									}
								$past=intval($count/$page_sait);  
								$start=$page*$page_sait-$page_sait; 
	$saits = mysqli_query($mysqli,"SELECT * FROM `".$prefix."sait` WHERE ".$zap." ".$search_db." ORDER BY `id` DESC LIMIT ".$start.",".$page_sait."");
								while($row = mysqli_fetch_array($saits)) 
									{
										$start++;
										

echo $div_stat.'<table><tbody><tr><td width="3%">'.$nach.$div_span.''.$start.'</span></td>
<td width="100%"> <a href="http://'.$set['home'].'/out/'.$row['id'].'">';
if ($start == 1) echo '<font color="red"><b>'.$row['url'].'</b></font>';
elseif ($start == 2) echo '<font color="orange"><b>'.$row['url'].'</b></font>';
elseif ($start == 3) echo '<font color="green"><b>'.$row['url'].'</b></font>';
else echo '<b>'.$row['url'].'</b>';

echo '</a>  <b>'.$row['hosts'].'</b> | <b>'.$row['hits'].'</b> '.$adm.'
<br />';
if(mb_strlen($row['about']) > 70)
{
$text = substr($row['about'],0,70);
echo ''.$text.'...';
}
else
{
echo ''.$row['about'].'';
}
echo '<br>В топ: <b>'.$row['in'].'</b> | Из топа: <b>'.$row['out'].'</b><br>' . $kon . '</td><td width="5%">';
if ($row['skrit'] == 1 AND $row['id_user'] !== $user_data['id']) {
echo '<img src="/text/stat.png">';
} else {
echo '<a href="http://'.$set['home'].'/site/'.$row['url'].'"><img src="/text/stat.gif"></a>';
}
echo '</td></tr></tbody></table></div><br />';
}
navigation($count,$page_sait,$page,'http://'.$set['home'].'/m/search?search='.$search.'&n=0&mm='.$mm.'&page=',$total);
}

	else {
                     echo '<div class="topni">Ничего не найдено !</div>';
                   }
				   			   
echo '<div class="title">Совпадений : '.$count.'</div>';			

}

require_once('foot.php');
?>